import { IconButton, useColorMode } from '@chakra-ui/react'
import { MoonIcon, SunIcon } from '@chakra-ui/icons'

const ColorModeToggle = () => {
    const { colorMode, toggleColorMode } = useColorMode();

    return <IconButton
        icon={colorMode === 'light' ? <SunIcon/> : <MoonIcon/>}
        variant="outline"
        aria-label="Color mode switcher"
        onClick={toggleColorMode}
    />
}

export default ColorModeToggle
